/*---------------------------------------------------------------------------
				map_case - offline map reader for Age of Adventure
			  Copyright (c) 2000-2001 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify it
	under the terms of the GNU General Public License as published by the
	Free Software Foundation: either version 2 of the License, or (at your
	option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of MERCHANTABILITY
	or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
	for more details.

	You should have received a copy of the GNU General Public License along
	with this program; if not, write to the Free Software Foundation, Inc.,
	59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5

	Original programming: 	Alan Lenton
	Additional programming:	Stanley Lenton

	Home website:				www.ibgames.net
---------------------------------------------------------------------------*/

#include <vcl.h>
#pragma hdrstop

#include "notes.h"

#include "location.h"
#include "main.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TNotesForm *NotesForm;
//---------------------------------------------------------------------------


__fastcall TNotesForm::TNotesForm(TComponent* Owner)
	: TForm(Owner)
{
}

void __fastcall TNotesForm::FormClose(TObject *Sender,TCloseAction &Action)
{
	if(!IsClean())
	{
		switch(MessageDlg("You have unsaved notes -\nadd to location notes?",mtConfirmation,TMsgDlgButtons() << mbYes << mbNo << mbCancel,0))
		{
			case mrYes: loc->UpdateNotes();	Action = caHide;	break;
			case mrNo:	Action = caHide;								break;
			case mrCancel:	Action = caNone;							break;
		}
	}

	return;
}



void __fastcall TNotesForm::ClearItemClick(TObject *Sender)
{
	NotesMemo->Clear();
	loc->UpdateNotes();
	return;
}

void __fastcall TNotesForm::ExitItemClick(TObject *Sender)
{
	Close();
}

void __fastcall TNotesForm::ResetItemClick(TObject *Sender)
{
  int X=0,Y=0;
	loc->ShowNotes(X, Y);
	return;
}

void __fastcall TNotesForm::SaveItemClick(TObject *Sender)
{
	loc->UpdateNotes();
	return;
}


