/*---------------------------------------------------------------------------
				map_case - offline map reader for Age of Adventure
			  Copyright (c) 2000-2001 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify it
	under the terms of the GNU General Public License as published by the
	Free Software Foundation: either version 2 of the License, or (at your
	option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of MERCHANTABILITY
	or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
	for more details.

	You should have received a copy of the GNU General Public License along
	with this program; if not, write to the Free Software Foundation, Inc.,
	59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5

	Original programming: 	Alan Lenton
	Additional programming:	Stanley Lenton

	Home website:				www.ibgames.net
---------------------------------------------------------------------------*/

#ifndef NOTES_H
#define NOTES_H

//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------

class	Location;

class TNotesForm : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TMemo *NotesMemo;
	TMainMenu *MainMenu;
	TMenuItem *Edit1;
	TMenuItem *ResetItem;
	TMenuItem *SaveItem;
	TMenuItem *ExitItem;
	TMenuItem *N1;
	TMenuItem *ClearItem;
	void __fastcall ResetItemClick(TObject *Sender);
	void __fastcall SaveItemClick(TObject *Sender);
	void __fastcall ExitItemClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall ClearItemClick(TObject *Sender);

private:
	Location	*loc;

public:
	__fastcall TNotesForm(TComponent* Owner);

	bool	IsClean()						{ return(!NotesMemo->Modified); }

	void	IsClean(bool val)				{ NotesMemo->Modified = !val; return; }
	void	SetLoc(Location *the_loc)	{ loc = the_loc; return; }
};

//---------------------------------------------------------------------------
extern PACKAGE TNotesForm *NotesForm;
//---------------------------------------------------------------------------

#endif

